/******************************************************************************
* Copyright Kylin Software  Co, Ltd.(c) (2020)
* FileName: netflow.h
* Version:  1.0
* Function Description:
*	Headers for netflow info
*
* History:
*   <author>     <time>     <version>    <desc>
*   maguicai  2023/05/19   1.0         Initial build
********************************************************************************/


#include <linux/kernel.h>


int kretprobe_init(void);
void kretprobe_exit(void);

int init_fs(void);
void exit_fs(void);

int message_in(char *msg, int len);
int message_out_to_user(char __user *msg, int size);
int message_in_from_user(const char __user *msg, int size);