/******************************************************************************
* Copyright Kylin Software  Co, Ltd.(c) (2020)
* FileName: netlink.h
* Version:  1.0
* Function Description:
*       Implement netlink network protocol creation, data sending and receiving
*       and other functions.
*
* History:
*    <author>     <time>      <version>    <desc>
*    wangshengye  2023/5/19    1.0         Initial build
********************************************************************************/

#ifndef _NETLINK_H_
#define _NETLINK_H_

#define USER_POLICY_PORT        100
#define USER_DROPLOG_PORT       101

int send_usrmsg(char *pbuf, uint16_t len, __u32 port);

int netlink_create(void);

int netlink_release(void);

#endif //_NETLINK_H_
